|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerWidgetBoxInterface::Widget Class Reference

    #include <QDesignerWidgetBoxInterface>

- List of all members, including inherited members

### Public Types

- enum Type { Default, Custom }

### Public Functions

- Widget ( const QString & aname = QString(), const QString & xml = QString(), const QString & icon_name = QString(), Type atype = Default )
- QString domXml () const
- QString iconName () const
- bool isNull () const
- QString name () const
- void setDomXml ( const QString & xml )
- void setIconName ( const QString & icon_name )
- void setName ( const QString & aname )
- void setType ( Type atype )
- Type type () const

## Detailed Description

## Member Type Documentation

### enum Widget::Type

Constant | Value
--- | ---
`QDesignerWidgetBoxInterface::Widget::Default` | `0`
`QDesignerWidgetBoxInterface::Widget::Custom` | `1`

## Member Function Documentation

### Widget::Widget ( const QString & aname = QString(), const QString & xml = QString(), const QString & icon_name = QString(), Type atype = Default )

### QString Widget::domXml () const

### QString Widget::iconName () const

### bool Widget::isNull () const

### QString Widget::name () const

### void Widget::setDomXml ( const QString & xml )

### void Widget::setIconName ( const QString & icon_name )

### void Widget::setName ( const QString & aname )

### void Widget::setType ( Type atype )

### Type Widget::type () const